<ion-content>
  <ion-card>
    <ion-card-header>
      <ion-card-title>QR Generator</ion-card-title>
    </ion-card-header>
    <ion-card-content>
      <ion-button expand="full" color="success" (click)="generateQrCode()">Generate Qr</ion-button>
      <ion-button expand="full" color="success" (click)="gotoScanQrCode()">Go For Qr Scanning</ion-button>
    </ion-card-content>
  </ion-card>
  <ion-card *ngIf="encodedData">
    <qrcode #parent [qrdata]="encodedData" [width]="256" [errorCorrectionLevel]="'M'" [elementType]="'img'"></qrcode>
    <ion-button expand="full" color="success" (click)="shareQrCode(parent)">Share</ion-button>
  </ion-card>
</ion-content>